Skip to main content

integrationRepositoryManagerHealthChecker

Checks repository manager integration status

integrationRepositoryManagerHealthChecker(
companyId: ID!
integrationType: String!
): Boolean!

Arguments

integrationRepositoryManagerHealthChecker.companyId ● ID! non-null scalar

Company ID

integrationRepositoryManagerHealthChecker.integrationType ● String! non-null scalar

Integration type (e.g. github, azure_devops)

Type

Boolean scalar

The Boolean scalar type represents true or false.

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetIntegrationRepositoryManagerHealthChecker($companyId: ID!, $integrationType: String!) {\n integrationRepositoryManagerHealthChecker(companyId: $companyId, integrationType: $integrationType)\n}","variables":{"companyId":"<company_id>","integrationType":"example"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.